﻿using Eto.Drawing;
using Eto.Forms;
using Rhino.UI;
using System;
using System.ComponentModel;

namespace SampleCsEto.Views
{
    [System.Runtime.InteropServices.Guid("99d3df64-c4c1-4f59-918d-6220fc1dbb80")]
    public class SampleCsEtoModelessForm : Form
    {
        public static System.Guid PanelId => typeof(SampleCsEtoModelessForm).GUID;

        public SampleCsEtoModelessForm()
        {
            Maximizable = false;
            Minimizable = false;
            Padding = new Padding(5);
            Resizable = false;
            ShowInTaskbar = false;
            Title = GetType().Name;
            Show();

            WindowStyle = WindowStyle.Default;

            var hello_button = new Button { Text = "Hello" };
            hello_button.Click += (sender, e) => OnHelloButton();

            var close_button = new Button { Text = "OK" };
            close_button.Click += (sender, e) => Close();

            var hello_layout = new TableLayout
            {
                Padding = new Padding(5, 10, 5, 5),
                Spacing = new Size(5, 5),
                Rows = { new TableRow(null, hello_button, null) }
            };

            var close_layout = new TableLayout
            {
                Padding = new Padding(5, 10, 5, 5),
                Spacing = new Size(5, 5),
                Rows = { new TableRow(null, close_button, null) }
            };

            Content = new TableLayout
            {
                Padding = new Padding(5),
                Spacing = new Size(5, 5),
                Rows =
        {
          new TableRow(hello_layout),
          new TableRow(close_layout)
        }
            };
        }

        protected override void OnLoadComplete(EventArgs e)
        {
            base.OnLoadComplete(e);
            this.RestorePosition();
        }

        protected override void OnClosing(CancelEventArgs e)
        {
            this.SavePosition();
            base.OnClosing(e);
        }

        protected void OnHelloButton()
        {
            MessageBox.Show(this, "Hello Rhino!", Title, MessageBoxButtons.OK);
        }
    }
}
